deprecations:
  - feature_name: "Auto DevOps Auto Deploy setting value deprecated"
    due: May. 17, 2020
    reporter: danielgruesso
    description: |
      Because several APIs [were removed](https://kubernetes.io/blog/2019/07/18/api-deprecations-in-1-16/) in Kubernetes 1.16, the default value of `extensions/v1beta1` for the `deploymentApiVersion` setting in Auto DevOps' [Auto-Deploy chart](https://gitlab.com/gitlab-org/charts/auto-deploy-app) is now deprecated.

      The `deploymentApiVersion` setting is scheduled to be changed to a new default of `apps/v1` in [GitLab 13.0](https://gitlab.com/gitlab-org/charts/auto-deploy-app/issues/47).
